import { PlayPromise } from './types/video';
import { subscribeEvents } from './types/events';
import { IState } from './Interface/IState';
declare class TruePlayer {
    private readonly player;
    constructor(id: string);
    play(): PlayPromise;
    seek(time: number): Promise<string>;
    pause(): void;
    stop(): void;
    togglePlay(): PlayPromise | undefined;
    setVolume(volume: number): void;
    mute(): void;
    state(event: subscribeEvents): IState;
    subscribe(events: subscribeEvents[], listener: (event: IState) => void): () => void;
    fullScreen(): Promise<any>;
}
export default TruePlayer;
